group = 'datasource_programs'
register_rule(
    group,
    "special_agents:nsx",
    Dictionary(
        optional_keys = [ "cert", "nsx_resource" ],
        elements = [
            ("user", TextAscii(title = _("Username"), allow_empty = False)),
            ("password", Password(title = _("Password"), allow_empty = False)),
            ("cert", DropdownChoice(
                            title = _("SSL certificate verification"),
                            choices = [
                                (True, _("Activate")),
                                (False, _("Deactivate")),
                            ] )),
            ("nsx_resource", ListOfStrings(
                            title = _("Resource"),
                            orientation = "horizontal",
                            help = _("Enter the full list of resources for Cluster"
                                     "Compute Resource that needs to be monitored."
                                     "If no value is entered, No Computer Resource"
                                     "will be monitored."),
                            allow_empty = True)),
        ],
    ),
    title = _("Check VMWare NSX"),
    help = _("This rule set selects the special agent for VMWare NSX "
             "instead of the normal Check_MK agent and allows monitoring via Web API. "
             "Resource value is optional and used for monitoring the NSX host "
             "preparation status"),
    match = "first",
)
